# FoundationClasses
TKMath
TColgp

# TColgp_HArray2OfVec Class Reference

`#include <TColgp_HArray2OfVec.hxx>`

Inheritance diagram for TColgp_HArray2OfVec:

[legend]

## Public Member Functions

Standard_EXPORT | TColgp_HArray2OfVec (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColgp_HArray2OfVec (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Vec &V)
Standard_EXPORT void | Init (const gp_Vec &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Vec &Value)
Standard_EXPORT const gp_Vec & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT gp_Vec & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColgp_Array2OfVec & | Array2 () const
TColgp_Array2OfVec & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_Array2OfVec | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColgp_HArray2OfVec::TColgp_HArray2OfVec | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColgp_HArray2OfVec::TColgp_HArray2OfVec | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Vec & | V
| ) |

## Member Function Documentation

const TColgp_Array2OfVec& TColgp_HArray2OfVec::Array2 | ( |  | ) | const

TColgp_Array2OfVec& TColgp_HArray2OfVec::ChangeArray2 | ( |  | ) |

Standard_EXPORT gp_Vec& TColgp_HArray2OfVec::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColgp_HArray2OfVec::ColLength | ( |  | ) | const

Standard_EXPORT const TColgp_HArray2OfVec::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HArray2OfVec::Init | ( | const gp_Vec & | V | ) |

Standard_Integer TColgp_HArray2OfVec::LowerCol | ( |  | ) | const

Standard_Integer TColgp_HArray2OfVec::LowerRow | ( |  | ) | const

Standard_Integer TColgp_HArray2OfVec::RowLength | ( |  | ) | const

void TColgp_HArray2OfVec::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Vec & | Value
| ) |

Standard_Integer TColgp_HArray2OfVec::UpperCol | ( |  | ) | const

Standard_Integer TColgp_HArray2OfVec::UpperRow | ( |  | ) | const

Standard_EXPORT const gp_Vec& TColgp_HArray2OfVec::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

TColgp_Array2OfVec TColgp_HArray2OfVec::myArray `[private]`

The documentation for this class was generated from the following file:

- TColgp_HArray2OfVec.hxx